Index: src/molecules.cpp
===================================================================
--- src/molecules.cpp	(revision 1ffa216657b5beb85210757a5d292a8b64bd5b79)
+++ src/molecules.cpp	(revision 69eb71ca95b6ddd8113c4c58130d3a649792ac26)
@@ -3898,5 +3949,5 @@
           }
           *out << Verbose(2+verbosity) << "Calling subset generator " << SP << " away from root " << *FragmentSearch->Root << " with sub set dimension " << SubSetDimension << "." << endl;
-          SPFragmentGenerator(out, FragmentSearch, SP, BondsList, SubSetDimension, SubOrder-bits);  
+          SPFragmentGenerator(out, FragmentSearch, SP, BondsList, SubSetDimension, SubOrder-bits);
           Free((void **)&BondsList, "molecule::SPFragmentGenerator: **BondsList");
         }
@@ -3907,5 +3958,5 @@
         *out << Verbose(2) << "Found a new fragment[" << FragmentSearch->FragmentCounter << "], local nr.s are: ";
         for(KeySet::iterator runner = FragmentSearch->FragmentSet->begin(); runner != FragmentSearch->FragmentSet->end(); runner++)
-          *out << (*runner) << " "; 
+          *out << (*runner) << " ";
         *out << endl;
         //if (!CheckForConnectedSubgraph(out, FragmentSearch->FragmentSet))
@@ -3915,5 +3966,5 @@
         //Removal = StoreFragmentFromStack(out, FragmentSearch->Root, FragmentSearch->Leaflet, FragmentSearch->FragmentStack, FragmentSearch->ShortestPathList, &FragmentSearch->FragmentCounter, FragmentSearch->configuration);
       }
-      
+
       // --3-- remove all added items in this level from snake stack
       *out << Verbose(1+verbosity) << "Removing all items that were added on this SP level " << RootDistance << "." << endl;
@@ -3926,5 +3977,5 @@
       *out << Verbose(2) << "Remaining local nr.s on snake stack are: ";
       for(KeySet::iterator runner = FragmentSearch->FragmentSet->begin(); runner != FragmentSearch->FragmentSet->end(); runner++)
-        *out << (*runner) << " "; 
+        *out << (*runner) << " ";
       *out << endl;
       TouchedIndex = 0; // set Index to 0 for list of atoms added on this level
@@ -3933,5 +3984,5 @@
     }
   }
-  Free((void **)&TouchedList, "molecule::SPFragmentGenerator: *TouchedList");  
+  Free((void **)&TouchedList, "molecule::SPFragmentGenerator: *TouchedList");
   *out << Verbose(1+verbosity) << "End of SPFragmentGenerator, " << RootDistance << " away from Root " << *FragmentSearch->Root << " and SubOrder is " << SubOrder << "." << endl;
 };
@@ -3942,5 +3993,5 @@
  * \return true - connected, false - disconnected
  * \note this is O(n^2) for it's just a bug checker not meant for permanent use!
- */ 
+ */
 bool molecule::CheckForConnectedSubgraph(ofstream *out, KeySet *Fragment)
 {
@@ -3948,8 +3999,8 @@
   bool BondStatus = false;
   int size;
-  
+
   *out << Verbose(1) << "Begin of CheckForConnectedSubgraph" << endl;
   *out << Verbose(2) << "Disconnected atom: ";
-  
+
   // count number of atoms in graph
   size = 0;
@@ -3997,10 +4048,10 @@
  * \param *out output stream for debugging
  * \param Order bond order (limits BFS exploration and "number of digits" in power set generation
- * \param FragmentSearch UniqueFragments structure containing TEFactor, root atom and so on 
+ * \param FragmentSearch UniqueFragments structure containing TEFactor, root atom and so on
  * \param RestrictedKeySet Restricted vertex set to use in context of molecule
  * \return number of inserted fragments
  * \note ShortestPathList in FragmentSearch structure is probably due to NumberOfAtomsSPLevel and SP not needed anymore
  */
-int molecule::PowerSetGenerator(ofstream *out, int Order, struct UniqueFragments &FragmentSearch, KeySet RestrictedKeySet) 
+int molecule::PowerSetGenerator(ofstream *out, int Order, struct UniqueFragments &FragmentSearch, KeySet RestrictedKeySet)
 {
   int SP, AtomKeyNr;
@@ -4023,12 +4074,12 @@
     FragmentSearch.BondsPerSPCount[i] = 0;
   FragmentSearch.BondsPerSPCount[0] = 1;
-  Binder = new bond(FragmentSearch.Root, FragmentSearch.Root); 
+  Binder = new bond(FragmentSearch.Root, FragmentSearch.Root);
   add(Binder, FragmentSearch.BondsPerSPList[1]);
-  
+
   // do a BFS search to fill the SP lists and label the found vertices
   // Actually, we should construct a spanning tree vom the root atom and select all edges therefrom and put them into
   // according shortest path lists. However, we don't. Rather we fill these lists right away, as they do form a spanning
   // tree already sorted into various SP levels. That's why we just do loops over the depth (CurrentSP) and breadth
-  // (EdgeinSPLevel) of this tree ... 
+  // (EdgeinSPLevel) of this tree ...
   // In another picture, the bonds always contain a direction by rightatom being the one more distant from root and hence
   // naturally leftatom forming its predecessor, preventing the BFS"seeker" from continuing in the wrong direction.
@@ -4083,5 +4134,5 @@
     }
   }
-  
+
   // outputting all list for debugging
   *out << Verbose(0) << "Printing all found lists." << endl;
@@ -4092,7 +4143,7 @@
       Binder = Binder->next;
       *out << Verbose(2) << *Binder << endl;
-    } 
-  }
-  
+    }
+  }
+
   // creating fragments with the found edge sets  (may be done in reverse order, faster)
   SP = -1;  // the Root <-> Root edge must be subtracted!
@@ -4101,5 +4152,5 @@
     while (Binder->next != FragmentSearch.BondsPerSPList[2*i+1]) {
       Binder = Binder->next;
-      SP ++; 
+      SP ++;
     }
   }
@@ -4108,12 +4159,12 @@
     // start with root (push on fragment stack)
     *out << Verbose(0) << "Starting fragment generation with " << *FragmentSearch.Root << ", local nr is " << FragmentSearch.Root->nr << "." << endl;
-    FragmentSearch.FragmentSet->clear();  
+    FragmentSearch.FragmentSet->clear();
     *out << Verbose(0) << "Preparing subset for this root and calling generator." << endl;
     // prepare the subset and call the generator
     BondsList = (bond **) Malloc(sizeof(bond *)*FragmentSearch.BondsPerSPCount[0], "molecule::PowerSetGenerator: **BondsList");
     BondsList[0] = FragmentSearch.BondsPerSPList[0]->next;  // on SP level 0 there's only the root bond
-    
+
     SPFragmentGenerator(out, &FragmentSearch, 0, BondsList, FragmentSearch.BondsPerSPCount[0], Order);
-    
+
     Free((void **)&BondsList, "molecule::PowerSetGenerator: **BondsList");
   } else {
@@ -4124,5 +4175,5 @@
   // remove root from stack
   *out << Verbose(0) << "Removing root again from stack." << endl;
-  FragmentSearch.FragmentSet->erase(FragmentSearch.Root->nr);    
+  FragmentSearch.FragmentSet->erase(FragmentSearch.Root->nr);
 
   // free'ing the bonds lists
@@ -4143,5 +4194,5 @@
   }
 
-  // return list  
+  // return list
   *out << Verbose(0) << "End of PowerSetGenerator." << endl;
   return (FragmentSearch.FragmentCounter - Counter);
@@ -4174,5 +4225,5 @@
     // remove bonds that are beyond bonddistance
     for(int i=NDIM;i--;)
-      Translationvector.x[i] = 0.; 
+      Translationvector.x[i] = 0.;
     // scan all bonds
     Binder = first;
@@ -4221,5 +4272,5 @@
         }
       }
-      // re-add bond    
+      // re-add bond
       link(Binder, OtherBinder);
     } else {
@@ -4275,5 +4326,5 @@
         IteratorB++;
       } // end of while loop
-    }// end of check in case of equal sizes 
+    }// end of check in case of equal sizes
   }
   return false; // if we reach this point, they are equal
@@ -4319,5 +4370,5 @@
  * \param graph1 first (dest) graph
  * \param graph2 second (source) graph
- * \param *counter keyset counter that gets increased 
+ * \param *counter keyset counter that gets increased
  */
 inline void InsertGraphIntoGraph(ofstream *out, Graph &graph1, Graph &graph2, int *counter)
@@ -4364,5 +4415,5 @@
   int RootKeyNr, RootNr;
   struct UniqueFragments FragmentSearch;
-  
+
   *out << Verbose(0) << "Begin of FragmentBOSSANOVA." << endl;
 
@@ -4387,5 +4438,5 @@
     Walker = Walker->next;
     CompleteMolecule.insert(Walker->GetTrueFather()->nr);
-  } 
+  }
 
   // this can easily be seen: if Order is 5, then the number of levels for each lower order is the total sum of the number of levels above, as
@@ -4401,10 +4452,10 @@
     //if ((MinimumRingSize[Walker->GetTrueFather()->nr] != -1) && (Walker->GetTrueFather()->AdaptiveOrder+1 > MinimumRingSize[Walker->GetTrueFather()->nr])) {
     //  *out << Verbose(0) << "Bond order " << Walker->GetTrueFather()->AdaptiveOrder << " of Root " << *Walker << " greater than or equal to Minimum Ring size of " << MinimumRingSize << " found is not allowed." << endl;
-    //} else 
+    //} else
     {
       // increase adaptive order by one
       Walker->GetTrueFather()->AdaptiveOrder++;
       Order = Walker->AdaptiveOrder = Walker->GetTrueFather()->AdaptiveOrder;
-  
+
       // initialise Order-dependent entries of UniqueFragments structure
       FragmentSearch.BondsPerSPList = (bond **) Malloc(sizeof(bond *)*Order*2, "molecule::PowerSetGenerator: ***BondsPerSPList");
@@ -4413,9 +4464,9 @@
         FragmentSearch.BondsPerSPList[2*i] = new bond();    // start node
         FragmentSearch.BondsPerSPList[2*i+1] = new bond();  // end node
-        FragmentSearch.BondsPerSPList[2*i]->next = FragmentSearch.BondsPerSPList[2*i+1];     // intertwine these two 
+        FragmentSearch.BondsPerSPList[2*i]->next = FragmentSearch.BondsPerSPList[2*i+1];     // intertwine these two
         FragmentSearch.BondsPerSPList[2*i+1]->previous = FragmentSearch.BondsPerSPList[2*i];
         FragmentSearch.BondsPerSPCount[i] = 0;
-      }  
-  
+      }
+
       // allocate memory for all lower level orders in this 1D-array of ptrs
       NumLevels = 1 << (Order-1); // (int)pow(2,Order);
@@ -4423,9 +4474,9 @@
       for (int i=0;i<NumLevels;i++)
         FragmentLowerOrdersList[RootNr][i] = NULL;
-      
+
       // create top order where nothing is reduced
       *out << Verbose(0) << "==============================================================================================================" << endl;
       *out << Verbose(0) << "Creating KeySets of Bond Order " << Order << " for " << *Walker << ", " << (RootStack.size()-RootNr) << " Roots remaining." << endl; // , NumLevels is " << NumLevels << "
-  
+
       // Create list of Graphs of current Bond Order (i.e. F_{ij})
       FragmentLowerOrdersList[RootNr][0] =  new Graph;
@@ -4440,5 +4491,5 @@
         // we don't have to dive into suborders! These keysets are all already created on lower orders!
         // this was all ancient stuff, when we still depended on the TEFactors (and for those the suborders were needed)
-        
+
 //        if ((NumLevels >> 1) > 0) {
 //          // create lower order fragments
@@ -4447,5 +4498,5 @@
 //          for (int source=0;source<(NumLevels >> 1);source++) { // 1-terms don't need any more splitting, that's why only half is gone through (shift again)
 //            // step down to next order at (virtual) boundary of powers of 2 in array
-//            while (source >= (1 << (Walker->AdaptiveOrder-Order))) // (int)pow(2,Walker->AdaptiveOrder-Order))    
+//            while (source >= (1 << (Walker->AdaptiveOrder-Order))) // (int)pow(2,Walker->AdaptiveOrder-Order))
 //              Order--;
 //            *out << Verbose(0) << "Current Order is: " << Order << "." << endl;
@@ -4454,5 +4505,5 @@
 //              *out << Verbose(0) << "--------------------------------------------------------------------------------------------------------------" << endl;
 //              *out << Verbose(0) << "Current SubOrder is: " << SubOrder << " with source " << source << " to destination " << dest << "." << endl;
-//        
+//
 //              // every molecule is split into a list of again (Order - 1) molecules, while counting all molecules
 //              //*out << Verbose(1) << "Splitting the " << (*FragmentLowerOrdersList[RootNr][source]).size() << " molecules of the " << source << "th cell in the array." << endl;
@@ -4485,5 +4536,5 @@
       RootStack.push_back(RootKeyNr); // put back on stack
       RootNr++;
-  
+
       // free Order-dependent entries of UniqueFragments structure for next loop cycle
       Free((void **)&FragmentSearch.BondsPerSPCount, "molecule::PowerSetGenerator: *BondsPerSPCount");
@@ -4491,5 +4542,5 @@
         delete(FragmentSearch.BondsPerSPList[2*i]);
         delete(FragmentSearch.BondsPerSPList[2*i+1]);
-      }  
+      }
       Free((void **)&FragmentSearch.BondsPerSPList, "molecule::PowerSetGenerator: ***BondsPerSPList");
     }
@@ -4502,6 +4553,6 @@
   Free((void **)&FragmentSearch.ShortestPathList, "molecule::PowerSetGenerator: *ShortestPathList");
   delete(FragmentSearch.FragmentSet);
-  
-  // now, FragmentLowerOrdersList is complete, it looks - for BondOrder 5 - as this (number is the ANOVA Order of the terms therein) 
+
+  // now, FragmentLowerOrdersList is complete, it looks - for BondOrder 5 - as this (number is the ANOVA Order of the terms therein)
   // 5433222211111111
   // 43221111
@@ -4523,5 +4574,5 @@
     RootKeyNr = RootStack.front();
     RootStack.pop_front();
-    Walker = FindAtom(RootKeyNr); 
+    Walker = FindAtom(RootKeyNr);
     NumLevels = 1 << (Walker->AdaptiveOrder - 1);
     for(int i=0;i<NumLevels;i++) {
@@ -4536,5 +4587,5 @@
   Free((void **)&FragmentLowerOrdersList, "molecule::FragmentBOSSANOVA: ***FragmentLowerOrdersList");
   Free((void **)&NumMoleculesOfOrder, "molecule::FragmentBOSSANOVA: *NumMoleculesOfOrder");
-  
+
   *out << Verbose(0) << "End of FragmentBOSSANOVA." << endl;
 };
@@ -4570,6 +4621,6 @@
   atom *Walker = NULL;
   bool result = true; // status of comparison
-  
-  *out << Verbose(3) << "Begin of IsEqualToWithinThreshold." << endl; 
+
+  *out << Verbose(3) << "Begin of IsEqualToWithinThreshold." << endl;
   /// first count both their atoms and elements and update lists thereby ...
   //*out << Verbose(0) << "Counting atoms, updating list" << endl;
@@ -4618,8 +4669,8 @@
     if (CenterOfGravity.Distance(&OtherCenterOfGravity) > threshold) {
       *out << Verbose(4) << "Centers of gravity don't match." << endl;
-      result = false;  
-    }
-  }
-  
+      result = false;
+    }
+  }
+
   /// ... then make a list with the euclidian distance to this center for each atom of both molecules
   if (result) {
@@ -4637,5 +4688,5 @@
       OtherDistances[Walker->nr] = OtherCenterOfGravity.Distance(&Walker->x);
     }
-  
+
     /// ... sort each list (using heapsort (o(N log N)) from GSL)
     *out << Verbose(5) << "Sorting distances" << endl;
@@ -4648,5 +4699,5 @@
     for(int i=AtomCount;i--;)
       PermutationMap[PermMap[i]] = (int) OtherPermMap[i];
-    
+
     /// ... and compare them step by step, whether the difference is individiually(!) below \a threshold for all
     *out << Verbose(4) << "Comparing distances" << endl;
@@ -4659,5 +4710,5 @@
     Free((void **)&PermMap, "molecule::IsEqualToWithinThreshold: *PermMap");
     Free((void **)&OtherPermMap, "molecule::IsEqualToWithinThreshold: *OtherPermMap");
-      
+
     /// free memory
     Free((void **)&Distances, "molecule::IsEqualToWithinThreshold: Distances");
@@ -4667,5 +4718,5 @@
       result = false;
     }
-  } 
+  }
   /// return pointer to map if all distances were below \a threshold
   *out << Verbose(3) << "End of IsEqualToWithinThreshold." << endl;
@@ -4676,5 +4727,5 @@
     *out << Verbose(3) << "Result: Not equal." << endl;
     return NULL;
-  } 
+  }
 };
 
@@ -4731,5 +4782,5 @@
  * \param *output output stream of temperature file
  * \return file written (true), failure on writing file (false)
- */ 
+ */
 bool molecule::OutputTemperatureFromTrajectories(ofstream *out, int startstep, int endstep, ofstream *output)
 {
@@ -4739,5 +4790,5 @@
   if (output == NULL)
     return false;
-  else 
+  else
     *output << "# Step Temperature [K] Temperature [a.u.]" << endl;
   for (int step=startstep;step < endstep; step++) { // loop over all time steps
Index: src/molecules.hpp
===================================================================
--- src/molecules.hpp	(revision 1ffa216657b5beb85210757a5d292a8b64bd5b79)
+++ src/molecules.hpp	(revision 69eb71ca95b6ddd8113c4c58130d3a649792ac26)
@@ -1,5 +1,5 @@
 /** \file molecules.hpp
  *
- * Class definitions of atom and molecule, element and periodentafel 
+ * Class definitions of atom and molecule, element and periodentafel
  */
 
@@ -54,15 +54,15 @@
 #define BoundariesTestPair pair< Boundaries::iterator, bool>
 
-#define PointMap map < int, class BoundaryPointSet * > 
-#define PointPair pair < int, class BoundaryPointSet * > 
-#define PointTestPair pair < PointMap::iterator, bool > 
-
-#define LineMap map < int, class BoundaryLineSet * > 
-#define LinePair pair < int, class BoundaryLineSet * > 
-#define LineTestPair pair < LinePair::iterator, bool > 
-
-#define TriangleMap map < int, class BoundaryTriangleSet * > 
-#define TrianglePair pair < int, class BoundaryTriangleSet * > 
-#define TriangleTestPair pair < TrianglePair::iterator, bool > 
+#define PointMap map < int, class BoundaryPointSet * >
+#define PointPair pair < int, class BoundaryPointSet * >
+#define PointTestPair pair < PointMap::iterator, bool >
+
+#define LineMap map < int, class BoundaryLineSet * >
+#define LinePair pair < int, class BoundaryLineSet * >
+#define LineTestPair pair < LinePair::iterator, bool >
+
+#define TriangleMap map < int, class BoundaryTriangleSet * >
+#define TrianglePair pair < int, class BoundaryTriangleSet * >
+#define TriangleTestPair pair < TrianglePair::iterator, bool >
 
 #define DistanceMultiMap multimap <double, pair < PointMap::iterator, PointMap::iterator> >
@@ -86,5 +86,5 @@
 //bool operator < (KeySet SubgraphA, KeySet SubgraphB);   //note: this declaration is important, otherwise normal < is used (producing wrong order)
 inline void InsertFragmentIntoGraph(ofstream *out, struct UniqueFragments *Fragment); // Insert a KeySet into a Graph
-inline void InsertGraphIntoGraph(ofstream *out, Graph &graph1, Graph &graph2, int *counter);  // Insert all KeySet's in a Graph into another Graph 
+inline void InsertGraphIntoGraph(ofstream *out, Graph &graph1, Graph &graph2, int *counter);  // Insert all KeySet's in a Graph into another Graph
 int CompareDoubles (const void * a, const void * b);
 
@@ -140,13 +140,13 @@
     unsigned char AdaptiveOrder;  //!< current present bond order at site (0 means "not set")
     bool MaxOrder;  //!< whether this atom as a root in fragmentation still creates more fragments on higher orders or not
-  
+
   atom();
   ~atom();
-  
+
   bool Output(int ElementNo, int AtomNo, ofstream *out) const;
   bool OutputXYZLine(ofstream *out) const;
   atom *GetTrueFather();
   bool Compare(atom &ptr);
-  
+
   private:
 };
@@ -169,10 +169,10 @@
     int nr;           //!< unique number in a molecule, updated by molecule::CreateAdjacencyList()
     bool Cyclic;      //!< flag whether bond is part of a cycle or not, given in DepthFirstSearchAnalysis()
-    enum EdgeType Type;//!< whether this is a tree or back edge 
-  	
+    enum EdgeType Type;//!< whether this is a tree or back edge
+
   atom * GetOtherAtom(atom *Atom) const;
   bond * GetFirstBond();
   bond * GetLastBond();
-  
+
   bool MarkUsed(enum Shading color);
   enum Shading IsUsed();
@@ -180,5 +180,5 @@
   bool Contains(const atom *ptr);
   bool Contains(const int nr);
-  
+
   bond();
   bond(atom *left, atom *right);
@@ -186,6 +186,6 @@
   bond(atom *left, atom *right, int degree, int number);
   ~bond();
-    
-  private: 
+
+  private:
     enum Shading Used;        //!< marker in depth-first search, DepthFirstSearchAnalysis()
 };
@@ -218,8 +218,8 @@
     int NoCyclicBonds;  //!< number of cyclic bonds in molecule, by DepthFirstSearchAnalysis()
     double BondDistance;  //!< typical bond distance used in CreateAdjacencyList() and furtheron
-  
+
   molecule(periodentafel *teil);
   ~molecule();
-  
+
   /// remove atoms from molecule.
   bool AddAtom(atom *pointer);
@@ -230,11 +230,11 @@
   atom * AddCopyAtom(atom *pointer);
   bool AddXYZFile(string filename);
-  bool AddHydrogenReplacementAtom(ofstream *out, bond *Bond, atom *BottomOrigin, atom *TopOrigin, atom *TopReplacement, bond **BondList, int NumBond, bool IsAngstroem);  
+  bool AddHydrogenReplacementAtom(ofstream *out, bond *Bond, atom *BottomOrigin, atom *TopOrigin, atom *TopReplacement, bond **BondList, int NumBond, bool IsAngstroem);
   bond * AddBond(atom *first, atom *second, int degree);
   bool RemoveBond(bond *pointer);
   bool RemoveBonds(atom *BondPartner);
-    
+
   /// Find atoms.
-  atom * FindAtom(int Nr) const; 
+  atom * FindAtom(int Nr) const;
   atom * AskAtom(string text);
 
@@ -244,6 +244,6 @@
   void CalculateOrbitals(class config &configuration);
   bool CenterInBox(ofstream *out, Vector *BoxLengths);
-  void CenterEdge(ofstream *out, Vector *max); 
-  void CenterOrigin(ofstream *out, Vector *max); 
+  void CenterEdge(ofstream *out, Vector *max);
+  void CenterOrigin(ofstream *out, Vector *max);
   void CenterGravity(ofstream *out, Vector *max);
   void Translate(const Vector *x);
@@ -260,12 +260,13 @@
 	double VolumeOfConvexEnvelope(ofstream *out, bool IsAngstroem);
 	bool VerletForceIntegration(char *file, double delta_t, bool IsAngstroem);
-	
+
   bool CheckBounds(const Vector *x) const;
   void GetAlignvector(struct lsq_params * par) const;
 
-  /// Initialising routines in fragmentation  
+  /// Initialising routines in fragmentation
+  void CreateAdjacencyList2(ofstream *out, ifstream *output);
   void CreateAdjacencyList(ofstream *out, double bonddistance, bool IsAngstroem);
   void CreateListOfBondsPerAtom(ofstream *out);
-  
+
   // Graph analysis
   MoleculeLeafClass * DepthFirstSearchAnalysis(ofstream *out, class StackClass<bond *> *&BackEdgeStack);
@@ -283,5 +284,5 @@
 
   molecule *CopyMolecule();
-  
+
   /// Fragment molecule by two different approaches:
   int FragmentMolecule(ofstream *out, int Order, config *configuration);
@@ -305,9 +306,9 @@
   int LookForRemovalCandidate(ofstream *&out, KeySet *&Leaf, int *&ShortestPathList);
   int GuesstimateFragmentCount(ofstream *out, int order);
-  	  
-  // Recognize doubly appearing molecules in a list of them   
+
+  // Recognize doubly appearing molecules in a list of them
   int * IsEqualToWithinThreshold(ofstream *out, molecule *OtherMolecule, double threshold);
   int * GetFatherSonAtomicMap(ofstream *out, molecule *OtherMolecule);
-	
+
   // Output routines.
   bool Output(ofstream *out);
@@ -330,5 +331,5 @@
     int NumberOfMolecules;        //!< Number of entries in \a **FragmentList and of to be returned one.
     int NumberOfTopAtoms;         //!< Number of atoms in the molecule from which all fragments originate
-    
+
   MoleculeListClass();
   MoleculeListClass(int Num, int NumAtoms);
@@ -340,5 +341,5 @@
   bool OutputConfigForListOfFragments(ofstream *out, config *configuration, int *SortIndex);
   void Output(ofstream *out);
-  
+
   private:
 };
@@ -350,5 +351,5 @@
 class MoleculeLeafClass {
   public:
-    molecule *Leaf;                   //!< molecule of this leaf 
+    molecule *Leaf;                   //!< molecule of this leaf
     //MoleculeLeafClass *UpLeaf;        //!< Leaf one level up
     //MoleculeLeafClass *DownLeaf;      //!< First leaf one level down
@@ -386,10 +387,10 @@
     bool FastParsing;
     double Deltat;
-    
+
     private:
     char *mainname;
     char *defaultpath;
     char *pseudopotpath;
-    
+
     int DoOutVis;
     int DoOutMes;
@@ -406,5 +407,5 @@
     int UseAddGramSch;
     int Seed;
-    
+
     int MaxOuterStep;
     int OutVisStep;
@@ -414,5 +415,5 @@
     int MaxPsiStep;
     double EpsWannier;
-    
+
     int MaxMinStep;
     double RelEpsTotalEnergy;
@@ -423,7 +424,7 @@
     double InitRelEpsKineticEnergy;
     int InitMaxMinGapStopStep;
-    
+
     //double BoxLength[NDIM*NDIM];
-    
+
     double ECut;
     int MaxLevel;
@@ -434,5 +435,5 @@
     int RTActualUse;
     int AddPsis;
-    
+
     double RCut;
     int StructOpt;
@@ -441,7 +442,7 @@
     int MaxTypes;
 
-  
+
   int ParseForParameter(int verbose, ifstream *file, const char *name, int sequential, int const xth, int const yth, int type, void *value, int repetition, int critical);
-  
+
   public:
   config();
